Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class DeliveryBasicEquipmentType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.DeliveryBasicEquipmentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class DeliveryBasicEquipmentType

extends Object
implements Serializable

Generiek type voor het mobiliteitshulpmiddel in een aflevering.

Java class for DeliveryBasicEquipmentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeliveryBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EquipmentIDType"/>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProductNumberType" minOccurs="0"/>
             <element name="Serialnumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="FirstUseDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="DeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DeliveryBasicEquipmentType()`

Method Summary
`String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
`org.joda.time.DateTime` | `getDeliveryDate()` Gets the value of the deliveryDate property.
`String` | `getEquipmentID()` Gets the value of the equipmentID property.
`org.joda.time.DateTime` | `getFirstUseDate()` Gets the value of the firstUseDate property.
`String` | `getProductnumber()` Gets the value of the productnumber property.
`String` | `getSerialnumber()` Gets the value of the serialnumber property.
`void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
`void` | `setDeliveryDate(org.joda.time.DateTime value)` Sets the value of the deliveryDate property.
`void` | `setEquipmentID(String value)` Sets the value of the equipmentID property.
`void` | `setFirstUseDate(org.joda.time.DateTime value)` Sets the value of the firstUseDate property.
`void` | `setProductnumber(String value)` Sets the value of the productnumber property.
`void` | `setSerialnumber(String value)` Sets the value of the serialnumber property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeliveryBasicEquipmentType

    public DeliveryBasicEquipmentType()

Method Detail

### getEquipmentID

    public String getEquipmentID()

  Gets the value of the equipmentID property.

  Returns:
    possible object is `String`

### setEquipmentID

    public void setEquipmentID(String value)

  Sets the value of the equipmentID property.

  Parameters:
    `value` - allowed object is `String`

### getCareServiceCode

    public String getCareServiceCode()

  Gets the value of the careServiceCode property.

  Returns:
    possible object is `String`

### setCareServiceCode

    public void setCareServiceCode(String value)

  Sets the value of the careServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getProductnumber

    public String getProductnumber()

  Gets the value of the productnumber property.

  Returns:
    possible object is `String`

### setProductnumber

    public void setProductnumber(String value)

  Sets the value of the productnumber property.

  Parameters:
    `value` - allowed object is `String`

### getSerialnumber

    public String getSerialnumber()

  Gets the value of the serialnumber property.

  Returns:
    possible object is `String`

### setSerialnumber

    public void setSerialnumber(String value)

  Sets the value of the serialnumber property.

  Parameters:
    `value` - allowed object is `String`

### getFirstUseDate

    public org.joda.time.DateTime getFirstUseDate()

  Gets the value of the firstUseDate property.

  Returns:
    possible object is `String`

### setFirstUseDate

    public void setFirstUseDate(org.joda.time.DateTime value)

  Sets the value of the firstUseDate property.

  Parameters:
    `value` - allowed object is `String`

### getDeliveryDate

    public org.joda.time.DateTime getDeliveryDate()

  Gets the value of the deliveryDate property.

  Returns:
    possible object is `String`

### setDeliveryDate

    public void setDeliveryDate(org.joda.time.DateTime value)

  Sets the value of the deliveryDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.